language: php

php: [5.3, 5.4, 5.5]

env:
  - CSS_SELECTOR_VERSION='2.0.*'
  - CSS_SELECTOR_VERSION='2.1.*'
  - CSS_SELECTOR_VERSION='2.2.*'
  - CSS_SELECTOR_VERSION='2.3.*@dev'

before_script:
  - curl http://getcomposer.org/installer | php
  - php composer.phar require --no-update symfony/css-selector=$CSS_SELECTOR_VERSION
  - php composer.phar install --dev --prefer-source

script: phpunit -v
